cwlVersion: v1.0
class: CommandLineTool
label: Extract GO Biological Processes Containing the Term Search
doc: Extract Terms from the GO Biological Process 2021 Library
baseCommand:
  - /app/cli/pwb.sh
  - ExtractEnrichrTermSearch[GO_Biological_Process_2021]
requirements:
  - class: DockerRequirement
    dockerImageId: maayanlab/playbook-partnership:0.73.1
inputs:
  inputs.searchResults:
    label: Enrichr Term Search Results
    doc: Results of an Enrichr Term Search
    type: File
    inputBinding:
      prefix: --inputs.searchResults=
      separate: false
  outputFilename:
    type: string
    default: output.json
    inputBinding:
      prefix: --output=
      separate: false
outputs:
  output:
    label: Enrichr Pathway or Biological Process Set
    doc: Set of Pathway or Biological Processes
    type: File
    outputBinding:
      glob: $(inputs.outputFilename)
